%global api 1.0

Name:           dleyna-renderer
Version:        0.6.0
Release:        1
Summary:        Service for interacting with Digital Media Renderers
License:        LGPLv2
URL:            https://01.org/dleyna/
Source0:        https://01.org/sites/default/files/downloads/dleyna/%{name}-%{version}.tar_2.gz
Patch0:         0001-UPnP-Disconnect-signal-handlers-during-destruction.patch
Patch1:         167.patch
Patch2:         0001-Add-a-manual.patch
Patch3:         dleyna-renderer-Fix-the-cancellation-of-dleyna_gasync_task_t-tasks.patch

BuildRequires:  autoconf automake docbook-style-xsl libtool libxslt pkgconfig pkgconfig(dleyna-core-1.0)
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gssdp-1.2) pkgconfig(gupnp-1.2)
BuildRequires:  pkgconfig(gupnp-av-1.0) pkgconfig(gupnp-dlna-2.0) pkgconfig(libsoup-2.4) make

Requires:       dbus dleyna-connector-dbus

%description
D-Bus service for clients to discover and manipulate DLNA Digital Media
Renderers (DMRs).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -f -i
%configure \
  --disable-silent-rules \
  --disable-static

sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

rm -rf $RPM_BUILD_ROOT/%{_includedir}
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/libdleyna-renderer-%{api}.so

%files
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc README
%{_datadir}/dbus-1/services/com.intel.%{name}.service
%{_datadir}/man/man5/%{name}-service.conf.5*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdleyna-renderer-%{api}.so.*
%{_libexecdir}/%{name}-service
%config(noreplace) %{_sysconfdir}/%{name}-service.conf

%files devel
%{_libdir}/pkgconfig/dleyna-renderer-service-%{api}.pc

%changelog
* Fri Jul 02 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.6.0-1
- Package init with 0.6.0
